Bug 32228 - Encoding problem when reading some XLS files produced by Microsoft Excel 2008 for Mac
Summary: Encoding problem when reading some XLS files produced by Microsoft Excel 2008...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 RC1
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: XLS File-Opening
  Show dependency treegraph
 
Reported: 2010-12-08 04:53 UTC by Simon Lipp
Modified: 2018-09-25 02:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Problematic file (14.50 KB, application/vnd.ms-excel)
2010-12-08 04:53 UTC, Simon Lipp
Details
The B and H column of the second row is garbled (12.50 KB, application/vnd.ms-excel)
2011-05-29 08:08 UTC, lijpbasin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Lipp 2010-12-08 04:53:18 UTC
Created attachment 40913 [details]
Problematic file

Please see attached file. On Microsoft Excel 2008, second column correctly displays as “Prénom”. On LibreOffice 3.3.0.1 (MacOS X) it is displayed as “PrŽnom”. The problem is also present with OpenOffice.org Calc 3.1.1 on Linux (CentOS 5).
Comment 1 Alex Thurgood 2011-01-05 07:11:42 UTC
I can confirm that this doesn't display correctly in LibO 3.3 beta2, however, isn't this a problem with encoding in MacOffice Excel 2008 ? I seem to recall that I often had problems with the character encodings from Office 2008 for Mac, when trying to open files on other platforms, including Windows.


Alex
Comment 2 Kohei Yoshida 2011-04-29 11:35:50 UTC
Confirmed, but....

Why does MS Excel Mac version still use code page?  The Windows version has long switched to unicode after Excel 97.  Excel 95 was the last version to use code page in the default file format on Windows...
Comment 3 lijpbasin 2011-05-29 08:08:52 UTC
Created attachment 47276 [details]
The B and H column of the second row is garbled

This file is created by Microsoft Office Excel 2007, and can be displayed correctly in MS Office, the garble text are Chinese.
I tried to change the LANG enviroment variable, all chinese encoding in my machine:
LANG=zh_CN sbase grade.xls
LANG=zh_CN.gb18030 sbase grade.xls
LANG=zh_CN.gbk sbase grade.xls
LANG=zh_CN.utf-8 sbase grade.xls
none of the commands above worked
Comment 4 Urmas 2012-01-12 01:54:08 UTC
There's clearly present CODEPAGE 10000 record. I believe it should override what "Arial" or "Calibri" codepages (1252) is.

lijpbasin, do not hijack other bug reports, please.
Comment 5 QA Administrators 2014-10-23 17:31:56 UTC Comment hidden (obsolete)
Comment 6 Urmas 2014-10-24 14:31:59 UTC
Still in 4.4 master.
Comment 7 QA Administrators 2015-12-20 16:16:07 UTC Comment hidden (obsolete)
Comment 8 Joel Madero 2016-07-04 06:59:14 UTC
Version: 5.3.0.0.alpha0+
Build ID: c89294233b6a9ffc1bd75e6e9226ad723b7d5538
CPU Threads: 2; OS Version: Linux 3.16; UI Render: default; 
Locale: en-US (en_US.UTF-8)

Still an issue
Comment 9 QA Administrators 2018-09-25 02:50:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug